## About
This package is for making cache in queue.
## Install
```javascript
const kmQueueCache = require('km-queue-cache');

const queueMaxSize = 100;
const cacheStorage = './my-data/data.json';

const myCache = new kmQueueCache(cacheStorage, queueMaxSize);
```
## Usage
### Push Data
```javascript
const student = {
    "id": 6, 
    "name": "Kiran Mulmi"
}

myCache.push(student).then(response => {
    console.log(response);
});
```
### Fetch All Data
```javascript
myCache.getAllQueueData().then(response => {
    console.log(response); // All Results
});
```
### Filter Or Get All Data
```javascript
myCache.filter(student => student.id === 6).then(response => {
    console.log(response)
});

myCache.getAll("id", 6).then(response => {
    console.log(response)
});
```
### Find or Get Data
```javascript
myCache.find(student => student.name === "kiran mulmi").then(response => {
    console.log(response);
});

myCache.get("name", "kiran mulmi").then(response => {
    console.log(response);
});
```

### Remove Data
```javascript
myCache.remove("id", 6).then(response => {
    console.log(response)
});
```

### Remove All Data
```javascript
myCache.removeAll().then(response => {
    console.log(response)
});
```
### Pop Data
```javascript
myCache.pop().then(response => {
    console.log(response)
});
```
### Pop First
```javascript
myCache.popFirst().then(response => {
    console.log(response)
});
```